For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Account object
          • GET/accounts
          • POST/accounts
          • GET/accounts/{id}
          • GET/accounts/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsAccounts

/accounts/{id}

GET
/accounting/v1/accounts/:id
GET
/api/accounting/v1/accounts/:id
$curl -G https://api.merge.dev/api/accounting/v1/accounts/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=company \
> --data-urlencode remote_fields=classification,status \
> --data-urlencode show_enum_origins=classification,status
200Retrieved
1{
2 "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
3 "remote_id": "21",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Cash",
7 "description": "Cash",
8 "classification": "ASSET",
9 "type": "Asset",
10 "account_type": "FIXED_ASSET",
11 "status": "ACTIVE",
12 "current_balance": 1.1,
13 "currency": "USD",
14 "account_number": "X12Y9AB",
15 "parent_account": "22d92d6c-22f9-11ed-861d-0242ac120002",
16 "company": "595c8f97-2ac4-45b7-b000-41bdf43240b5",
17 "remote_was_deleted": true,
18 "field_mappings": {
19 "organization_defined_targets": {
20 "custom_key": "custom_value"
21 },
22 "linked_account_defined_targets": {
23 "custom_key": "custom_value"
24 }
25 },
26 "remote_data": [
27 {
28 "path": "/actions",
29 "data": null
30 }
31 ]
32}

Returns an Account object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/accounts

Next

/accounts/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The account's name.
descriptionstring or null
The account's description.
classificationenum or null

The account’s broadest grouping.

  • ASSET - ASSET
  • EQUITY - EQUITY
  • EXPENSE - EXPENSE
  • LIABILITY - LIABILITY
  • REVENUE - REVENUE
Allowed values:
typestring or null
The account's type is a narrower and more specific grouping within the account's classification.
account_typeenum or null

Normalized account type- which is a narrower and more specific grouping within the account’s classification.

  • BANK - BANK
  • CREDIT_CARD - CREDIT_CARD
  • ACCOUNTS_PAYABLE - ACCOUNTS_PAYABLE
  • ACCOUNTS_RECEIVABLE - ACCOUNTS_RECEIVABLE
  • FIXED_ASSET - FIXED_ASSET
  • OTHER_ASSET - OTHER_ASSET
  • OTHER_CURRENT_ASSET - OTHER_CURRENT_ASSET
  • OTHER_EXPENSE - OTHER_EXPENSE
  • OTHER_INCOME - OTHER_INCOME
  • COST_OF_GOODS_SOLD - COST_OF_GOODS_SOLD
  • OTHER_CURRENT_LIABILITY - OTHER_CURRENT_LIABILITY
  • LONG_TERM_LIABILITY - LONG_TERM_LIABILITY
  • NON_POSTING - NON_POSTING
statusenum or null

The account’s status.

  • ACTIVE - ACTIVE
  • PENDING - PENDING
  • INACTIVE - INACTIVE
Allowed values:
current_balancedouble or null
The account's current balance.
currencyenum or null
The account's currency. The currency code in ISO 4217 format.
account_numberstring or null
The account's number.
parent_accountstring or nullformat: "uuid"
ID of the parent account.
companystring or nullformat: "uuid"
The company the account belongs to.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more